// Name
// Student ID

// 3D horse model
PShape horse;

void setup()
{
  size( 500, 500, P3D );

  // Load the horse and turn off whatever default
  // rendering parameters it uses.
  horse = loadShape( "horse.obj" );
  horse.disableStyle();
}

void draw()
{
  background( 50 );
  // Turn on some default lights.
  lights();
  // Set a default fill colour for one horse
  fill( 200 );
  // Don't draw any mesh edges.
  noStroke();

  pushMatrix();
  // Move to the centre of the sketch
  translate( 250, 250, 0 );
  // Make it large enough to see (feel free to choose
  // a different scaling factor)
  scale( 100 );
  // Flip the horse upside-down (or rather, right-side up)
  rotateX( PI );
  shape( horse );
  popMatrix();
}